
/*  -*- MaTX -*-
 *
 *  【名前】
 *      Rows() - 行の数
 *
 *  【形式】
 *      m = Rows(X)
 *         Integer m;
 *         (Matrix|Array|Index) X;
 *
 *  【機能説明】
 *      Rows(X)は(行列|配列|指数) X の行の数を返す。
 *
 *  【例題】
 *      >> X = [[1 2 3][4 5 6]];
 *      >> m = Rows(X)
 *      m = 2
 *
 *  【関連項目】
 *      Cols(), size(), length()
 */
