
/*  -*- MaTX -*-
 *
 *  【名前】
 *      bit_or() - ビット毎の OR
 *
 *  【形式】
 *      k = bit_or(i,j)
 *         Integer k;
 *         Integer i,j;
 *
 *      P = bit_or(X,Y)
 *         (Array|Index) P;
 *         (Array|Index) X,Y;
 *
 *  【機能説明】
 *      bit_or(i,j) は整数 i と j のビット毎の OR を求める。
 *	    bit_or(X,Y)は，(配列|指数) X と Y の各成分のビット毎の OR 
 *      からなる(配列|指数) P を求める。P の大きさは X の大きさと同じになる。
 *
 *  【例題】
 *      >> k = bit_or(0xf0, 0x0f)
 *      k = 255 (= 0xff)
 *
 *  【関連項目】
 *      bit_and(), bit_xor(), bit_comp()
 */
