
/*  -*- MaTX -*-
 *
 *  【名前】
 *      exit - プログラムの終了
 *
 *  【形式】
 *      exit(expr);
 *        Integer expr;
 *
 *  【機能説明】
 *      インタプリタでは，プログラム(関数)の実行中に exit を呼び出すと，
 *      プログラムの実行が中断され，コマンドラインに戻る。コマンドライン
 *      で exit を実行すると，インタプリタが終了する。
 *
 *      一方，コンパイラが生成した実行プログラムでは，exit が呼ばれると
 *      プログラムが終了し，UNIX 互換 OS の場合，シェルに戻る。
 *
 *  【例題】
 *      プログラムの終了状態としてシェルに 1 を渡す。
 *
 *      exit(1);
 *
 *  【関連項目】
 *      return, break
 */
