
/*  -*- MaTX -*-
 *
 *  【名前】
 *      mean() - 全ての成分の平均値
 *
 *  【形式】
 *      x = mean(X)
 *         (Real  |Complex |Polynomial|Rational) x;
 *         (Matrix|CoMatrix|PoMatrix  |RaMatrix) X;
 *
 *      x = mean(X)
 *         (Real |Complex|Polynomial|Rational) x
 *         (Array|CoArray|PoArray   |RaArray ) X;
 *
 *      x = mean(X)
 *         Integer x;
 *         Index X;
 *
 *  【機能説明】
 *      mean(X)は，全ての成分の平均値を求める。
 *
 *  【例題】
 *      >> x = mean([1 2 3 4 5])
 *      x = 3
 *
 *  【関連項目】
 *      sum(), std(), mean_row(), mean_col()
 */
