
/*  -*- MaTX -*-
 *
 *  【名前】
 *      menu() - メニュー
 *
 *  【形式】
 *      i = menu(L)
 *         Integer i;
 *         List L;
 *
 *      i = menu(L,k)
 *         Integer i;
 *         List L;
 *         Integer k;
 *
 *  【機能説明】
 *      menu(L)は，メニューを表示し，選択された項目の番号を返す。
 *      リスト L は，メニューのタイトル(文字列)，項目(文字列)を
 *      成分にもつ。 L の構成を次に示す。
 *
 *      L = {"title", "item1", "item2", ..., "itemn"};
 *
 *      menu(L,k)は，メニューの選択番号の初期値を k に設定する。
 *
 *  【例題】
 *      L = {"title", "item1", "item2", ..., "itemn"};
 *      i = menu(L);
 *
 *  【関連項目】
 *      bell()
 */
