
/*  -*- MaTX -*-
 *
 *  【名前】
 *      rename() - ファイルの名前を変更する
 *
 *  【形式】
 *      ret = rename(path1, path2)
 *         Integer ret;
 *         String path1, path2;
 *
 *  【機能説明】
 *      rename(path1, path2) は，path1 が示すファイルの名前を path2 に
 *      変更する。ただし，文字列中の \t や \n などは特殊文字として解釈
 *      されるので，Windowsでは逆スラッシュ \ を重ねる必要がある。
 *
 *      正常終了のとき ret は 0，エラーのとき ret は -1。
 *
 *  【例題】
 *      rename("afo", "bar");             // afo を bar に変更
 *      rename("afo", "/usr/local/afo");  // afo を /usr/local に移動
 *
 *  【関連項目】
 *      remove(), system()
 */
