
/*  -*- MaTX -*-
 *
 *  【名前】
 *      return - 関数から戻る
 *
 *  【形式】
 *      return;
 *
 *      return expr;
 *          任意の式 expr;
 *
 *  【機能説明】
 *      return 文は呼ばれた関数の値を，呼んだプログラムに返すための
 *      機構である。void 型以外の関数の場合，return の後ろに，その関数
 *      の型の式を書く。呼ぶ側の関数は，戻り値を無視することもできる。
 *      ただし，void 型の関数の場合，return の後ろに式を書いてはならず，
 *      void 型以外の関数の場合，return の後ろの式を省略できない。
 *
 *  【例題】
 *      次の関数は 2 個の行列を引数とし，その乗算結果を返す。
 *
 *      Func Matrix mul(a, b)
 *          Matrix a, b;
 *      {
 *          return a * b;
 *      }
 *
 *  【関連項目】
 *      exit(), break
 */
