
/*  -*- MaTX -*-
 *
 *  【名前】
 *      bit_and() - ビット毎の AND
 *
 *  【形式】
 *      k = bit_and(i,j)
 *         Integer k;
 *         Integer i,j;
 *
 *      P = bit_and(X,Y)
 *         (Array|Index) P;
 *         (Array|Index) X,Y;
 *
 *  【機能説明】
 *      bit_and(i,j) は整数 i と j のビット毎の AND を求める。
 *	    bit_and(X,Y)は，(配列|指数) X と Y の各成分のビット毎の AND 
 *      からなる(配列|指数) P を求める。P の大きさは X の大きさと同じになる。
 *
 *  【例題】
 *      >> k = bit_and(0x10, 0xff)
 *      k = 16 (= 0x10)
 *
 *  【関連項目】
 *      bit_or(), bit_xor(), bit_comp()
 */
