
/*  -*- MaTX -*-
 *
 *  【名前】
 *      log10() - 常用対数
 *
 *  【形式】
 *      y = log10(x)
 *         (Real   |Real|Complex) y;
 *         (Integer|Real|Complex) x;
 *
 *      Y = log10(X)
 *         Array Y;
 *         Array X;
 *
 *  【機能説明】
 *      log10(x)は，スカラ型(整数, 実数, 複素数) x の常用対数を求める。
 *	    log10(X)は，配列 X の各成分の常用対数からなる配列 Y を求める。
 *      Y の大きさは X の大きさと同じになる。
 *
 *  【例題】
 *      >> y = log10(100)
 *      y = 2
 *
 *  【関連項目】
 *      sin(), cos(), tan(), log(), exp()
 */
