
/*  -*- MaTX -*-
 *
 *  【名前】
 *      makelist() - リストをつくる
 *
 *  【形式】
 *      L = makelist(n)
 *         List L;
 *         Integer n;
 *
 *      L = makelist(i1,i2,...,in)
 *         List L;
 *         Integer i1,i2,...,in;
 *
 *  【機能説明】
 *      整数 n について，makelist(n)は n 個の成分(整数のゼロ)をもつリスト
 *      を作る。makelist(i1,i2,...,in)は，n 段の多段リストを作る。全ての
 *      成分は整数(ゼロ)である。
 *
 *  【例題】
 *      >> L = makelist(4)
 *      L = {0, 0, 0, 0}
 *      >> L = makelist(2,3)
 *      L = {{0, 0, 0}, {0, 0, 0}}
 *
 *  【関連項目】
 *      length()
 */
