
/*  -*- MaTX -*-
 *
 *  【名前】
 *      mkdir() - ディレクトリを作成する
 *
 *  【形式】
 *      ret = mkdir(dir)
 *         Integer ret;
 *         String dir;
 *
 *  【機能説明】
 *      mkdir(dir) は，ディレクトリ dir を作成する。ただし，
 *      文字列中の \t や \n などは特殊文字として解釈されるので，
 *      Windowsでは逆スラッシュ \ を重ねる必要がある。
 *
 *      正常終了のとき ret は 0，エラーのとき ret は -1。
 *
 *      ディレクトリのアクセスパーミッションは，全てのユーザの読み取り，
 *      書き込み，実行を許可する。将来は，パーミッションを指定できる
 *      ようになる予定。
 *
 *  【例題】
 *      mkdir("/usr/local/tmp");
 *
 *  【関連項目】
 *      chdir(), rmdir(), system()
 */
