
/*  -*- MaTX -*-
 *
 *  【名前】
 *      size() - 行列の行数と列数
 *
 *  【形式】
 *      {m,n} = size(X)
 *         Integer m,n;
 *         (Matrix|Array|Index) X;
 *
 *  【機能説明】
 *      size(X)は(行列|配列|指数) X の行数 m と列数 n を返す。
 *
 *  【例題】
 *      >> X = [[1 2 3][4 5 6]];
 *      >> {m,n} = size(X);
 *
 *
 *  【関連項目】
 *      Rows(), Cols(), length()
 */
